﻿/**Begin D:\PDM\PDM_UPGRADE\pdm1\WTBD_constraint.sql **/
 EXEC P_ALTERPK 'PK_WTBD_SHIFTMODE', 'T_WTBD_SHIFTMODE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_SHIFTMODE_FN') CREATE INDEX IDX_WTBD_SHIFTMODE_FN ON T_WTBD_SHIFTMODE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_SHIFTMODE_FVID') CREATE INDEX IDX_WTBD_SHIFTMODE_FVID ON T_WTBD_SHIFTMODE ( FVID );


 EXEC P_ALTERPK 'PK_WTBD_SHIFTMODE_L', 'T_WTBD_SHIFTMODE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_SHIFTMODE_L') CREATE INDEX IDX_WTBD_SHIFTMODE_L ON T_WTBD_SHIFTMODE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_SHIFTMODEENTRY', 'T_WTBD_SHIFTMODEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_SMENTRY_FID') CREATE INDEX IDX_WTBD_SMENTRY_FID ON T_WTBD_SHIFTMODEENTRY ( FID );










 EXEC P_ALTERPK 'PK_WTBD_VACATIONREASON', 'T_WTBD_VACATIONREASON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_VR_FNUMBER') CREATE INDEX IDX_WTBD_VR_FNUMBER ON T_WTBD_VACATIONREASON ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_VR_FNAME') CREATE INDEX IDX_WTBD_VR_FNAME ON T_WTBD_VACATIONREASON ( FNAME );


 EXEC P_ALTERPK 'PK_WTBD_VACATIONREASON_L', 'T_WTBD_VACATIONREASON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_VACATIONREASON_L') CREATE INDEX IDX_WTBD_VACATIONREASON_L ON T_WTBD_VACATIONREASON_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_VACATIONTAG', 'T_WTBD_VACATIONTAG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_VL_FNUMBER') CREATE INDEX IDX_WTBD_VL_FNUMBER ON T_WTBD_VACATIONTAG ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_VL_FNAME') CREATE INDEX IDX_WTBD_VL_FNAME ON T_WTBD_VACATIONTAG ( FNAME );


 EXEC P_ALTERPK 'PK_WTBD_VACATIONTYPE', 'T_WTBD_VACATIONTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_VT_FNUMBER') CREATE INDEX IDX_WTBD_VT_FNUMBER ON T_WTBD_VACATIONTYPE ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_VT_FNAME') CREATE INDEX IDX_WTBD_VT_FNAME ON T_WTBD_VACATIONTYPE ( FNAME );


 EXEC P_ALTERPK 'PK_WTBD_VACATIONTYPE_L', 'T_WTBD_VACATIONTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_VACATIONTYPE_L') CREATE INDEX IDX_WTBD_VACATIONTYPE_L ON T_WTBD_VACATIONTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_VACATIONTAG_L', 'T_WTBD_VACATIONTAG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_VACATIONLOGO_L') CREATE INDEX IDX_WTBD_VACATIONLOGO_L ON T_WTBD_VACATIONTAG_L ( FID ,FLOCALEID );



 EXEC P_ALTERPK 'PK_WTBD_JOBHIS', 'T_WTBD_JOBHIS', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBDJOBHIS') CREATE INDEX IDX_WTBDJOBHIS ON T_WTBD_JOBHIS ( FMASTERID );


 EXEC P_ALTERPK 'PK_WTBD_JOBHIS_L', 'T_WTBD_JOBHIS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_JOBHIS_L') CREATE INDEX IDX_WTBD_JOBHIS_L ON T_WTBD_JOBHIS_L ( FVID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_JOBHISENTRY', 'T_WTBD_JOBHISENTRY', 'FVID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_JOBHISENTRY') CREATE INDEX IDX_WTBD_JOBHISENTRY ON T_WTBD_JOBHISENTRY ( FENTRYID );



























 EXEC P_ALTERPK 'PK_WTBD_DATEPROPERTY', 'T_WTBD_DATEPROPERTY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_DATEPROPERTY') CREATE INDEX IDX_WTBD_DATEPROPERTY ON T_WTBD_DATEPROPERTY ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_DATEPROPERTY_L', 'T_WTBD_DATEPROPERTY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_DATEPROPERTY_L') CREATE INDEX IDX_WTBD_DATEPROPERTY_L ON T_WTBD_DATEPROPERTY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_DATETYPE', 'T_WTBD_DATETYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_DATETYPE') CREATE INDEX IDX_WTBD_DATETYPE ON T_WTBD_DATETYPE ( FCREATETIME );


 EXEC P_ALTERPK 'PK_WTBD_DATETYPE_L', 'T_WTBD_DATETYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_DATETYPE_L') CREATE INDEX IDX_WTBD_DATETYPE_L ON T_WTBD_DATETYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_HOLIDAY_L', 'T_WTBD_HOLIDAY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_HOLIDAY_L') CREATE INDEX IDX_WTBD_HOLIDAY_L ON T_WTBD_HOLIDAY_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_HOLIDAYENTRY', 'T_WTBD_HOLIDAYENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_HOLIDAYENTRY') CREATE INDEX IDX_WTBD_HOLIDAYENTRY ON T_WTBD_HOLIDAYENTRY ( FID );


 EXEC P_ALTERPK 'PK_WTBD_HOLIDAY', 'T_WTBD_HOLIDAY', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX__WTBD_HOLIDAY') CREATE INDEX IDX__WTBD_HOLIDAY ON T_WTBD_HOLIDAY ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_HPENTRY', 'T_WTBD_HPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_HPENTRY') CREATE INDEX IDX_WTBD_HPENTRY ON T_WTBD_HPENTRY ( FID );


 EXEC P_ALTERPK 'PK_WTBD_HP', 'T_WTBD_HP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_HP') CREATE INDEX IDX_WTBD_HP ON T_WTBD_HP ( FNUMBER ,FBOID );


 EXEC P_ALTERPK 'PK_WTBD_HP_L', 'T_WTBD_HP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_HP_L') CREATE INDEX IDX_WTBD_HP_L ON T_WTBD_HP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_COUNTMSG', 'T_WTBD_COUNTMSG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_COUNTMSG') CREATE INDEX IDX_WTBD_COUNTMSG ON T_WTBD_COUNTMSG ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_COUNTMSG_L', 'T_WTBD_COUNTMSG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_COUNTMSG_L') CREATE INDEX IDX_WTBD_COUNTMSG_L ON T_WTBD_COUNTMSG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_COUNTMSGTYPE', 'T_WTBD_COUNTMSGTYPE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_COUNTMSGTYPE') CREATE INDEX IDX_WTBD_COUNTMSGTYPE ON T_WTBD_COUNTMSGTYPE ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_COUNTMSGTYPE_L', 'T_WTBD_COUNTMSGTYPE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_COUNTMSGTYPE_L') CREATE INDEX IDX_WTBD_COUNTMSGTYPE_L ON T_WTBD_COUNTMSGTYPE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_ROUNDRULE', 'T_WTBD_ROUNDRULE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ROUNDRULE') CREATE INDEX IDX_WTBD_ROUNDRULE ON T_WTBD_ROUNDRULE ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_ROUNDRULE_L', 'T_WTBD_ROUNDRULE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ROUNDRULE_L') CREATE INDEX IDX_WTBD_ROUNDRULE_L ON T_WTBD_ROUNDRULE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_ROUNDRULEENTRY_L', 'T_WTBD_ROUNDRULEENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ROUNDRULEENTRY_L') CREATE INDEX IDX_WTBD_ROUNDRULEENTRY_L ON T_WTBD_ROUNDRULEENTRY_L ( FENTRYID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_ROUNDRULEENTRY', 'T_WTBD_ROUNDRULEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ROUNDRULEENTRY') CREATE INDEX IDX_WTBD_ROUNDRULEENTRY ON T_WTBD_ROUNDRULEENTRY ( FID );




 EXEC P_ALTERPK 'PK_WTBD_MUTEXHP', 'T_WTBD_MUTEXHP', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_MUTEXHP') CREATE INDEX IDX_WTBD_MUTEXHP ON T_WTBD_MUTEXHP ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_WTBD_BREAKTIME', 'T_WTBD_BREAKTIME', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_BREAKTIME_FVID') CREATE INDEX IDX_WTBD_BREAKTIME_FVID ON T_WTBD_BREAKTIME ( FVID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_BREAKTIME_FNUMBER') CREATE INDEX IDX_WTBD_BREAKTIME_FNUMBER ON T_WTBD_BREAKTIME ( FNUMBER );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_BREAKTIME_FCRED') CREATE INDEX IDX_WTBD_BREAKTIME_FCRED ON T_WTBD_BREAKTIME ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_WTBD_BREAKTIME_L', 'T_WTBD_BREAKTIME_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_BREAKTIME_L') CREATE INDEX IDX_WTBD_BREAKTIME_L ON T_WTBD_BREAKTIME_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_SHIFTRESTENTRY', 'T_WTBD_SHIFTRESTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_SHIFTRESTENTRY') CREATE INDEX IDX_WTBD_SHIFTRESTENTRY ON T_WTBD_SHIFTRESTENTRY ( FID );


 EXEC P_ALTERPK 'PK_WTBD_SHIFT_T', 'T_WTBD_SHIFT_T', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_SHIFT_T') CREATE INDEX IDX_WTBD_SHIFT_T ON T_WTBD_SHIFT_T ( FSHIFTSTART );


 EXEC P_ALTERPK 'PK_WTBD_SHIFTWORKENTRY', 'T_WTBD_SHIFTWORKENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_SHIFTWORKENTRY') CREATE INDEX IDX_WTBD_SHIFTWORKENTRY ON T_WTBD_SHIFTWORKENTRY ( FID );


 EXEC P_ALTERPK 'PK_WTBD_SHIFT_L', 'T_WTBD_SHIFT_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_SHIFT_L') CREATE INDEX IDX_WTBD_SHIFT_L ON T_WTBD_SHIFT_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_SHIFTENTRY', 'T_WTBD_SHIFTENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_SHIFTENTRY') CREATE INDEX IDX_WTBD_SHIFTENTRY ON T_WTBD_SHIFTENTRY ( FID );


 EXEC P_ALTERPK 'PK_WTBD_SHIFT', 'T_WTBD_SHIFT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_SHIFT') CREATE INDEX IDX_WTBD_SHIFT ON T_WTBD_SHIFT ( FNUMBER );



 EXEC P_ALTERPK 'PK_WTBD_TRAVELTOOL', 'T_WTBD_TRAVELTOOL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_TRAVELTOOL') CREATE INDEX IDX_WTBD_TRAVELTOOL ON T_WTBD_TRAVELTOOL ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_TRAVELTOOL_L', 'T_WTBD_TRAVELTOOL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_TRAVELTOOL_L') CREATE INDEX IDX_WTBD_TRAVELTOOL_L ON T_WTBD_TRAVELTOOL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_ATTBILLTAG', 'T_WTBD_ATTBILLTAG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ATTBILLTAG') CREATE INDEX IDX_WTBD_ATTBILLTAG ON T_WTBD_ATTBILLTAG ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_WTBD_ATTBILLTAG_L', 'T_WTBD_ATTBILLTAG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ATTBILLTAG_L') CREATE INDEX IDX_WTBD_ATTBILLTAG_L ON T_WTBD_ATTBILLTAG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_ATTSTS', 'T_WTBD_ATTSTS', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ATTSTS') CREATE INDEX IDX_WTBD_ATTSTS ON T_WTBD_ATTSTS ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_WTBD_ATTSTS_L', 'T_WTBD_ATTSTS_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ATTSTS_L') CREATE INDEX IDX_WTBD_ATTSTS_L ON T_WTBD_ATTSTS_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_PCTAG', 'T_WTBD_PCTAG', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_PCTAG') CREATE INDEX IDX_WTBD_PCTAG ON T_WTBD_PCTAG ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_WTBD_PCTAG_L', 'T_WTBD_PCTAG_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_PCTAG_L') CREATE INDEX IDX_WTBD_PCTAG_L ON T_WTBD_PCTAG_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_TBLABEL', 'T_WTBD_TBLABEL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_TBLABEL') CREATE INDEX IDX_WTBD_TBLABEL ON T_WTBD_TBLABEL ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_WTBD_TBLABEL_L', 'T_WTBD_TBLABEL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_TBLABEL_L') CREATE INDEX IDX_WTBD_TBLABEL_L ON T_WTBD_TBLABEL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_TBPCREL', 'T_WTBD_TBPCREL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_TBPCREL') CREATE INDEX IDX_WTBD_TBPCREL ON T_WTBD_TBPCREL ( FNUMBER ,FNAME );


 EXEC P_ALTERPK 'PK_WTBD_TBPCREL_L', 'T_WTBD_TBPCREL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_TBPCREL_L') CREATE INDEX IDX_WTBD_TBPCREL_L ON T_WTBD_TBPCREL_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_ATTITEMMAP', 'T_WTBD_ATTITEMMAP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ATTITEMMAP') CREATE INDEX IDX_WTBD_ATTITEMMAP ON T_WTBD_ATTITEMMAP ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_ATTITEMMAP_L', 'T_WTBD_ATTITEMMAP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ATTITEMMAP_L') CREATE INDEX IDX_WTBD_ATTITEMMAP_L ON T_WTBD_ATTITEMMAP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_ATTITEMMAPENTRY', 'T_WTBD_ATTITEMMAPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ATTITEMMAPENTRY') CREATE INDEX IDX_WTBD_ATTITEMMAPENTRY ON T_WTBD_ATTITEMMAPENTRY ( FID );


 EXEC P_ALTERPK 'PK_WTBD_ATTITEMMAPLIST', 'T_WTBD_ATTITEMMAPLIST', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ATTITEMMAPLIST') CREATE INDEX IDX_WTBD_ATTITEMMAPLIST ON T_WTBD_ATTITEMMAPLIST ( FENTRYID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_WTBD_TBPCRELCNF', 'T_WTBD_TBPCRELCNF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_TBPCRELCNF') CREATE INDEX IDX_WTBD_TBPCRELCNF ON T_WTBD_TBPCRELCNF ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_TBPCRELCNF_L', 'T_WTBD_TBPCRELCNF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_TBPCRELCNF_L') CREATE INDEX IDX_WTBD_TBPCRELCNF_L ON T_WTBD_TBPCRELCNF_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_TBPCRELCNFENTRY', 'T_WTBD_TBPCRELCNFENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_TBPCRELCNFENTRY') CREATE INDEX IDX_WTBD_TBPCRELCNFENTRY ON T_WTBD_TBPCRELCNFENTRY ( FID );


 EXEC P_ALTERPK 'PK_WTBD_ATTSTSMAP_L', 'T_WTBD_ATTSTSMAP_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ATTSTSMAP_L') CREATE INDEX IDX_WTBD_ATTSTSMAP_L ON T_WTBD_ATTSTSMAP_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_ATTSTSMAPENTRY', 'T_WTBD_ATTSTSMAPENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ATTSTSMAPENTRY') CREATE INDEX IDX_WTBD_ATTSTSMAPENTRY ON T_WTBD_ATTSTSMAPENTRY ( FID );


 EXEC P_ALTERPK 'PK_WTBD_ATTSTSMAP', 'T_WTBD_ATTSTSMAP', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ATTSTSMAP') CREATE INDEX IDX_WTBD_ATTSTSMAP ON T_WTBD_ATTSTSMAP ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_REASON_L', 'T_WTBD_REASON_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_REASON_L') CREATE INDEX IDX_WTBD_REASON_L ON T_WTBD_REASON_L ( FID ,FLOCALEID );



 EXEC P_ALTERPK 'PK_WTBD_BASEDATALIST', 'T_WTBD_BASEDATALIST', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_BASEDATALIST') CREATE INDEX IDX_WTBD_BASEDATALIST ON T_WTBD_BASEDATALIST ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_BASEDATALIST_L', 'T_WTBD_BASEDATALIST_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_BASEDATALIST_L') CREATE INDEX IDX_WTBD_BASEDATALIST_L ON T_WTBD_BASEDATALIST_L ( FID ,FLOCALEID );









 EXEC P_ALTERPK 'PK_WTBD_REASON', 'T_WTBD_REASON', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_REASON') CREATE INDEX IDX_WTBD_REASON ON T_WTBD_REASON ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_LIMITSOURCE', 'T_WTBD_LIMITSOURCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_LIMITSOURCE') CREATE INDEX IDX_WTBD_LIMITSOURCE ON T_WTBD_LIMITSOURCE ( FNUMBER ,FRULESOURCE );


 EXEC P_ALTERPK 'PK_WTBD_LIMITSOURCE_L', 'T_WTBD_LIMITSOURCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_LIMITSOURCE_L') CREATE INDEX IDX_WTBD_LIMITSOURCE_L ON T_WTBD_LIMITSOURCE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_EXATTRIBUTE', 'T_WTBD_EXATTRIBUTE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_EXATTRIBUTE') CREATE INDEX IDX_WTBD_EXATTRIBUTE ON T_WTBD_EXATTRIBUTE ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_EXATTRIBUTE_L', 'T_WTBD_EXATTRIBUTE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_EXATTRIBUTE_L') CREATE INDEX IDX_WTBD_EXATTRIBUTE_L ON T_WTBD_EXATTRIBUTE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_CONFCOMBIN', 'T_WTBD_CONFCOMBIN', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_CONFCOMBIN') CREATE INDEX IDX_WTBD_CONFCOMBIN ON T_WTBD_CONFCOMBIN ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_CONFCOMBIN_L', 'T_WTBD_CONFCOMBIN_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_CONFCOMBIN_L') CREATE INDEX IDX_WTBD_CONFCOMBIN_L ON T_WTBD_CONFCOMBIN_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_CONFCOUNTRY', 'T_WTBD_CONFCOUNTRY', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_CONFCOUNTRY') CREATE INDEX IDX_WTBD_CONFCOUNTRY ON T_WTBD_CONFCOUNTRY ( FID ,FBASEDATAID );


 EXEC P_ALTERPK 'PK_WTBD_DASOCONF', 'T_WTBD_DASOCONF', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_DASOCONF') CREATE INDEX IDX_WTBD_DASOCONF ON T_WTBD_DASOCONF ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_DASOCONF_L', 'T_WTBD_DASOCONF_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_DASOCONF_L') CREATE INDEX IDX_WTBD_DASOCONF_L ON T_WTBD_DASOCONF_L ( FID ,FLOCALEID );





 EXEC P_ALTERPK 'PK_WTBD_DATETYPEPER', 'T_WTBD_DATETYPEPER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_DATETYPEPER') CREATE INDEX IDX_WTBD_DATETYPEPER ON T_WTBD_DATETYPEPER ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_DATETYPEPER_L', 'T_WTBD_DATETYPEPER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_DATETYPEPER_L') CREATE INDEX IDX_WTBD_DATETYPEPER_L ON T_WTBD_DATETYPEPER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_FIXTIMEENTRY', 'T_WTBD_FIXTIMEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_FIXTIMEENTRY') CREATE INDEX IDX_WTBD_FIXTIMEENTRY ON T_WTBD_FIXTIMEENTRY ( FID );


 EXEC P_ALTERPK 'PK_WTBD_SHIFTINNER', 'T_WTBD_SHIFTINNER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_SHIFTINNER') CREATE INDEX IDX_WTBD_SHIFTINNER ON T_WTBD_SHIFTINNER ( FNUMBER );


 EXEC P_ALTERPK 'PK_WTBD_SHIFTINNER_L', 'T_WTBD_SHIFTINNER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_SHIFTINNER_L') CREATE INDEX IDX_WTBD_SHIFTINNER_L ON T_WTBD_SHIFTINNER_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_WEEKENTRY', 'T_WTBD_WEEKENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_WEEKENTRY') CREATE INDEX IDX_WTBD_WEEKENTRY ON T_WTBD_WEEKENTRY ( FID );


 EXEC P_ALTERPK 'PK_WTBD_ATTITEM_L', 'T_WTBD_ATTITEM_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ATTITEM_L') CREATE INDEX IDX_WTBD_ATTITEM_L ON T_WTBD_ATTITEM_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_WTBD_ATTITEM', 'T_WTBD_ATTITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_WTBD_ATTITEM') CREATE INDEX IDX_WTBD_ATTITEM ON T_WTBD_ATTITEM ( FNUMBER );

/**End D:\PDM\PDM_UPGRADE\pdm1\WTBD_constraint.sql **/
