﻿/**Begin D:\PDM\PDM_UPGRADE\pdm1\WTBD_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBD_TCCONFIG_L') 
 CREATE TABLE T_WTBD_TCCONFIG_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANGEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBD_TCCONFIG') 
 CREATE TABLE T_WTBD_TCCONFIG (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FISMODIFY VARCHAR(2) DEFAULT ' ' NOT NULL,
FBRED DATETIME,
FBRLED DATETIME,
FBRFD DATETIME,
FCLASSTIMENUM VARCHAR(2) DEFAULT ' ' NOT NULL,
FCLASSGETNUM VARCHAR(2) DEFAULT ' ' NOT NULL,
FTAKECARDSHAPE VARCHAR(255) DEFAULT ' ' NOT NULL,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FCHANGEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBD_TCCONFIGENTRY') 
 CREATE TABLE T_WTBD_TCCONFIGENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISWORKTIMESTART CHAR(1) DEFAULT ' ' NOT NULL,
FISWORKTIMEEND CHAR(1) DEFAULT ' ' NOT NULL,
FISOPENVALID CHAR(1) DEFAULT ' ' NOT NULL,
FTIME VARCHAR(50) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL,
FCLASSTIMETYPE CHAR(2) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBD_TCARDRULE_L') 
 CREATE TABLE T_WTBD_TCARDRULE_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANGEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBD_TCARDRULEENTRY') 
 CREATE TABLE T_WTBD_TCARDRULEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FTIMESEQ INT DEFAULT 0 NOT NULL,
FSBEFORESCOPE INT DEFAULT 0 NOT NULL,
FSAFTERSCOPE INT DEFAULT 0 NOT NULL,
FSTAKECARDRULE VARCHAR(2) DEFAULT ' ' NOT NULL,
FEBEFORESCOPE INT DEFAULT 0 NOT NULL,
FEAFTERSCOPE INT DEFAULT 0 NOT NULL,
FETAKECARDRULE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSTAKECARDSAMELEN VARCHAR(2) DEFAULT ' ' NOT NULL,
FETAKECARDSAMELEN VARCHAR(2) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYBOID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_WTBD_TCARDRULE') 
 CREATE TABLE T_WTBD_TCARDRULE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(2) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEDATAID BIGINT DEFAULT 0 NOT NULL,
FBITINDEX INT DEFAULT 0 NOT NULL,
FSOURCEBITINDEX INT DEFAULT 0 NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYSPRESET CHAR(1) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION CHAR(1) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FDATASTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FISMODIFY VARCHAR(2) DEFAULT ' ' NOT NULL,
FBRED DATETIME,
FBRLED DATETIME,
FBRFD DATETIME,
FISCARDSHARE CHAR(1) DEFAULT '0' NOT NULL,
FISCONTINUECARD CHAR(1) DEFAULT '0' NOT NULL,
FISOTAPPLYTAKECARD CHAR(1) DEFAULT '0' NOT NULL,
FTAKECARDCONFIGID BIGINT DEFAULT 0 NOT NULL,
FCLASSTIMENUM VARCHAR(2) DEFAULT ' ' NOT NULL,
FCLASSGETNUM VARCHAR(2) DEFAULT ' ' NOT NULL,
FTAKECARDSHAPE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTCONFIGDES NVARCHAR(255) DEFAULT ' ' NOT NULL,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FCHANGEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISOFF CHAR(1) DEFAULT '0' NOT NULL,
FOFFMODE VARCHAR(2) DEFAULT ' ' NOT NULL,
FTAKECARDSTARTTIME INT DEFAULT 0 NOT NULL,
FTAKECARDENDTIME INT DEFAULT 0 NOT NULL
);



/**End D:\PDM\PDM_UPGRADE\pdm1\WTBD_table.sql **/
